import request from '@/utils/request'

// 查询动力箱柜电气设备列表
export function listPowerBoxElecEqpt(query) {
  return request({
    url: '/ems/powerBox/elecEqpt/list',
    method: 'get',
    params: query
  })
}

// 查询动力箱柜电气设备详细
export function getPowerBoxElecEqpt(id) {
  return request({
    url: '/ems/powerBox/elecEqpt/' + id,
    method: 'get'
  })
}

// 新增动力箱柜电气设备
export function addPowerBoxElecEqpt(data) {
  return request({
    url: '/ems/powerBox/elecEqpt',
    method: 'post',
    data: data
  })
}

// 修改动力箱柜电气设备
export function updatePowerBoxElecEqpt(data) {
  return request({
    url: '/ems/powerBox/elecEqpt',
    method: 'put',
    data: data
  })
}

// 删除动力箱柜电气设备
export function delPowerBoxElecEqpt(id) {
  return request({
    url: '/ems/powerBox/elecEqpt/' + id,
    method: 'delete'
  })
}
